#include<stdio.h>
#include<math.h>
#include"calculation.h"

void DisplayMatrix(Matrix *m);

int main()
{
	Matrix *original;

	original = CreateMatrix(4, 4);

	original->a[0*original->width + 0] = 3;
	original->a[0*original->width + 1] = 2;
	original->a[0*original->width + 2] = 4;
	original->a[0*original->width + 3] = 1;

	original->a[1*original->width + 0] = 2;
	original->a[1*original->width + 1] = 2;
	original->a[1*original->width + 2] = 4;
	original->a[1*original->width + 3] = 5;

	original->a[2*original->width + 0] = 4;
	original->a[2*original->width + 1] = 4;
	original->a[2*original->width + 2] = 1;
	original->a[2*original->width + 3] = 3;
	
	original->a[3*original->width + 0] = 1;
	original->a[3*original->width + 1] = 5;
	original->a[3*original->width + 2] = 3;
	original->a[3*original->width + 3] = 2;

	printf("Original Matrix:\n");
	DisplayMatrix(original);

	Tridiag(original);

	printf("Translated Matrix:\n");
	DisplayMatrix(original);

	FreeMatrix(original);

	return 0;
}


void DisplayMatrix(Matrix *m)
{
	int i, j;

	for(i=0; i<m->height; i++){
		for(j=0; j<m->width; j++){
			printf("%f ", m->a[i*m->width + j]);
		}
		printf("\n");
	}
	printf("\n");
}


